/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.TraiteClt;

import javafx.beans.property.SimpleStringProperty;

public class TraiteCltPaiementListe {
    
    private final SimpleStringProperty IdPaiement;
    private final SimpleStringProperty TypePaiement;
    private final SimpleStringProperty MontantPaiement;
    private final SimpleStringProperty DatePaiement;
    private final SimpleStringProperty HeurPaiement;
    private final SimpleStringProperty BanquePaiement;
    private final SimpleStringProperty NumeroPaiement;
    
    public TraiteCltPaiementListe(String id_paiement, String type_paiement, String montant_paiement, String date_paiement, String heur_paiement, String banque_paiement, String numero_banque) {
        this.IdPaiement= new SimpleStringProperty(id_paiement);
        this.TypePaiement = new SimpleStringProperty(type_paiement);
        this.MontantPaiement = new SimpleStringProperty(montant_paiement);
        this.DatePaiement = new SimpleStringProperty(date_paiement);
        this.HeurPaiement = new SimpleStringProperty(heur_paiement);
        this.BanquePaiement = new SimpleStringProperty(banque_paiement);
        this.NumeroPaiement = new SimpleStringProperty(numero_banque);
    }
    
    public String getIdPaiement() {
        return IdPaiement.get();
    }
    
    public String getTypePaiement() {
        return TypePaiement.get();
    }
    
    public String getMontantPaiement() {
        return MontantPaiement.get();
    }
    
    public String getDatePaiement() {
        return DatePaiement.get();
    }
    
    public String getHeurPaiement() {
        return HeurPaiement.get();
    }
    
    public String getBanquePaiement() {
        return BanquePaiement.get();
    }
    
    public String getNumeroPaiement() {
        return NumeroPaiement.get();
    }
    
}
